Bug 637507 - Review Request: php-phpunit-Text-Template - Simple template engine
Summary: Review Request: php-phpunit-Text-Template - Simple template engine
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Christof Damian
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 637511 637519
TreeView+ depends on / blocked
 
Reported: 2010-09-26 09:20 UTC by Remi Collet
Modified: 2010-11-14 21:34 UTC (History)
4 users (show)

Fixed In Version: php-phpunit-Text-Template-1.0.0-2.fc13
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-11-14 21:27:48 UTC
Type: ---
christof: fedora-review+
tibbs: fedora-cvs+


Attachments (Terms of Use)

Description Remi Collet 2010-09-26 09:20:19 UTC
Spec URL: http://remi.fedorapeople.org/php-phpunit-Text-Template.spec
SRPM URL: http://remi.fedorapeople.org/php-phpunit-Text-Template-1.0.0-1.remi.src.rpm
Description: Simple template engine

Koji scratch build
http://koji.fedoraproject.org/koji/taskinfo?taskID=2489811

rpmlint
php-phpunit-Text-Template.spec: I: checking-url http://github.com/sebastianbergmann/php-text-template/raw/master/README.markdown (timeout 10 seconds)
php-phpunit-Text-Template.spec: I: checking-url http://pear.phpunit.de/get/Text_Template-1.0.0.tgz (timeout 10 seconds)
php-phpunit-Text-Template.noarch: I: checking
php-phpunit-Text-Template.noarch: I: checking-url http://pear.phpunit.de/ (timeout 10 seconds)
php-phpunit-Text-Template.src: I: checking
php-phpunit-Text-Template.src: I: checking-url http://pear.phpunit.de/ (timeout 10 seconds)
php-phpunit-Text-Template.src: I: checking-url http://github.com/sebastianbergmann/php-text-template/raw/master/README.markdown (timeout 10 seconds)
php-phpunit-Text-Template.src: I: checking-url http://pear.phpunit.de/get/Text_Template-1.0.0.tgz (timeout 10 seconds)
2 packages and 1 specfiles checked; 0 errors, 0 warnings.

Comment 1 Remi Collet 2010-09-26 09:25:16 UTC
This packaged is 
needed by PHP_CodeCoverage 
which is needed by DbUnit 
which is needed by latest PHPUnit (3.5)
...

Comment 2 Christof Damian 2010-11-04 08:19:36 UTC
MUST:

OK: rpmlint must be run on every package. 

1 packages and 1 specfiles checked; 0 errors, 0 warnings.

OK: The package must be named according to the Package Naming Guidelines 
OK: The spec file name must match the base package %{name}
OK: The package must meet the Packaging Guidelines 
OK: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines 
OK: The License field in the package spec file must match the actual license. 
OK: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
OK: The spec file must be written in American English. 
OK: The spec file for the package MUST be legible. 
OK: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use md5sum for this task. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.

de7b8f04dce1bf5bf404594c843f539a  Text_Template-1.0.0.tgz

OK: The package MUST successfully compile and build into binary rpms on at least one primary architecture. 
builds in mock f14

OK: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.
OK: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory. 
OK: A Fedora package must not list a file more than once in the spec file's %files listings. 
OK: Permissions on files must be set properly. Executables should be set with executable permissions, for example. Every %files section must include a %defattr(...) line. 
OK: Each package must have a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT). 
OK: Each package must consistently use macros. 
OK: The package must contain code, or permissable content. 
OK: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present. 
OK: At the beginning of %install, each package MUST run rm -rf %{buildroot} (or $RPM_BUILD_ROOT). 
OK: All filenames in rpm packages must be valid UTF-8.

SHOULD:

OK: The reviewer should test that the package builds in mock. 

builds in f13 and f14

COMMENTS:

- I would prefer https://github.com/sebastianbergmann/php-text-template/ as the 
  URL instead of the pear channel url.
- All github URLs are now https

*** APPROVED ***

Comment 3 Remi Collet 2010-11-04 15:48:06 UTC
Thanks for the review.
I will fix the URL after import

New Package SCM Request
=======================
Package Name: php-phpunit-Text-Template
Short Description: Simple template engine
Owners: remi
Branches: f13 f14 el6
InitialCC:

Comment 4 Jason Tibbitts 2010-11-05 17:21:20 UTC
Git done (by process-git-requests).

Comment 5 Fedora Update System 2010-11-05 18:28:45 UTC
php-phpunit-Text-Template-1.0.0-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/php-phpunit-Text-Template-1.0.0-2.fc14

Comment 6 Fedora Update System 2010-11-05 18:29:17 UTC
php-phpunit-Text-Template-1.0.0-2.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/php-phpunit-Text-Template-1.0.0-2.fc13

Comment 7 Fedora Update System 2010-11-06 23:41:43 UTC
php-phpunit-Text-Template-1.0.0-2.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update php-phpunit-Text-Template'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/php-phpunit-Text-Template-1.0.0-2.fc14

Comment 8 Fedora Update System 2010-11-14 21:27:43 UTC
php-phpunit-Text-Template-1.0.0-2.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2010-11-14 21:34:29 UTC
php-phpunit-Text-Template-1.0.0-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.